# TODO: Corrosion (for safe parsing of html emails) https://github.com/corrosion-rs/corrosion
#
# Conditional build:
%bcond_with	tests		# test suite

%define		kdeappsver	25.04.0
# packages version, not cmake config version (which is 6.2.2)
%define		ka_ver		%{version}
%define		kf_ver		6.3.0
%define		qt_ver		6.6.0
%define		kaname		akonadi-search
Summary:	Akonadi Search
Summary(pl.UTF-8):	Komponent wyszukiwania dla Akonadi
Name:		ka6-%{kaname}
Version:	25.04.0
Release:	1
License:	GPL v2+/LGPL v2.1+
Group:		X11/Libraries
Source0:	https://download.kde.org/stable/release-service/%{kdeappsver}/src/%{kaname}-%{version}.tar.xz
# Source0-md5:	cb67d9d620c8d3cdc376e337308552c0
URL:		https://kde.org/
BuildRequires:	Qt6Core-devel >= %{qt_ver}
BuildRequires:	Qt6Test-devel >= %{qt_ver}
BuildRequires:	cmake >= 3.20
BuildRequires:	gettext-devel
BuildRequires:	ka6-akonadi-devel >= %{ka_ver}
BuildRequires:	ka6-akonadi-mime-devel >= %{ka_ver}
BuildRequires:	ka6-kmime-devel >= %{ka_ver}
BuildRequires:	kf6-extra-cmake-modules >= %{kf_ver}
BuildRequires:	kf6-kcalendarcore-devel >= %{kf_ver}
BuildRequires:	kf6-kcmutils-devel >= %{kf_ver}
BuildRequires:	kf6-kconfig-devel >= %{kf_ver}
BuildRequires:	kf6-kcontacts-devel >= %{kf_ver}
BuildRequires:	kf6-kcoreaddons-devel >= %{kf_ver}
BuildRequires:	kf6-kcrash-devel >= %{kf_ver}
BuildRequires:	kf6-kdbusaddons-devel >= %{kf_ver}
BuildRequires:	kf6-ki18n-devel >= %{kf_ver}
BuildRequires:	kf6-kio-devel >= %{kf_ver}
BuildRequires:	kf6-krunner-devel >= %{kf_ver}
BuildRequires:	kf6-ktextaddons-devel >= 1.5.4
BuildRequires:	ninja
BuildRequires:	qt6-build >= %{qt_ver}
BuildRequires:	rpmbuild(macros) >= 1.736
BuildRequires:	shared-mime-info
BuildRequires:	tar >= 1:1.22
BuildRequires:	xapian-core-devel
BuildRequires:	xz
Requires:	Qt6Core >= %{qt_ver}
Requires:	ka6-akonadi >= %{ka_ver}
Requires:	ka6-akonadi-mime >= %{ka_ver}
Requires:	ka6-kmime >= %{ka_ver}
Requires:	kf6-kcmutils >= %{kf_ver}
Requires:	kf6-kconfig >= %{kf_ver}
Requires:	kf6-kcontacts >= %{kf_ver}
Requires:	kf6-kcoreaddons >= %{kf_ver}
Requires:	kf6-ki18n >= %{kf_ver}
Requires:	kf6-krunner >= %{kf_ver}
Requires:	kf6-ktextaddons >= 1.5.4
Obsoletes:	ka5-akonadi-search < 24
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Libraries and daemons to implement searching in Akonadi.

%description -l pl.UTF-8
Biblioteki i demony do implementowania wyszukiwania w Akonadi.

%package devel
Summary:	Header files for %{kaname} development
Summary(pl.UTF-8):	Pliki nagłówkowe dla programistów używających %{kaname}
Group:		X11/Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	Qt6Core-devel >= %{qt_ver}
Requires:	ka6-akonadi-devel >= %{ka_ver}
Requires:	ka6-akonadi-mime-devel >= %{ka_ver}
Requires:	ka6-kmime-devel >= %{ka_ver}
Requires:	kf6-kcalendarcore-devel >= %{kf_ver}
Requires:	kf6-kcontacts-devel >= %{kf_ver}
Requires:	kf6-kcoreaddons-devel >= %{kf_ver}
Obsoletes:	ka5-akonadi-search-devel < 24

%description devel
Header files for %{kaname} development.

%description devel -l pl.UTF-8
Pliki nagłówkowe dla programistów używających %{kaname}.

%prep
%setup -q -n %{kaname}-%{version}

%build
%cmake -B build \
	-G Ninja \
	%{!?with_tests:-DBUILD_TESTING=OFF} \
	-DKDE_INSTALL_DOCBUNDLEDIR=%{_kdedocdir} \
	-DKDE_INSTALL_USE_QT_SYS_PATHS=ON

%ninja_build -C build

%if %{with tests}
ctest --test-dir build
%endif

%install
rm -rf $RPM_BUILD_ROOT

%ninja_install -C build

%find_lang akonadi_search

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files -f akonadi_search.lang
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/akonadi_html_to_text
%attr(755,root,root) %{_bindir}/akonadi_indexing_agent
%attr(755,root,root) %{_libdir}/libKPim6AkonadiSearchCore.so.*.*.*
%ghost %{_libdir}/libKPim6AkonadiSearchCore.so.6
%attr(755,root,root) %{_libdir}/libKPim6AkonadiSearchDebug.so.*.*.*
%ghost %{_libdir}/libKPim6AkonadiSearchDebug.so.6
%attr(755,root,root) %{_libdir}/libKPim6AkonadiSearchPIM.so.*.*.*
%ghost %{_libdir}/libKPim6AkonadiSearchPIM.so.6
%attr(755,root,root) %{_libdir}/libKPim6AkonadiSearchXapian.so.*.*.*
%ghost %{_libdir}/libKPim6AkonadiSearchXapian.so.6
%attr(755,root,root) %{_libdir}/qt6/plugins/kf6/krunner/kcms/kcm_krunner_pimcontacts.so
%attr(755,root,root) %{_libdir}/qt6/plugins/kf6/krunner/krunner_pimcontacts.so
%attr(755,root,root) %{_libdir}/qt6/plugins/pim6/akonadi/akonadi_search_plugin.so
%attr(755,root,root) %{_libdir}/qt6/plugins/pim6/akonadi/calendarsearchstore.so
%attr(755,root,root) %{_libdir}/qt6/plugins/pim6/akonadi/contactsearchstore.so
%attr(755,root,root) %{_libdir}/qt6/plugins/pim6/akonadi/emailsearchstore.so
%attr(755,root,root) %{_libdir}/qt6/plugins/pim6/akonadi/notesearchstore.so
%{_datadir}/akonadi/agents/akonadiindexingagent.desktop
%{_datadir}/qlogging-categories6/akonadi-search.categories
%{_datadir}/qlogging-categories6/akonadi-search.renamecategories

%files devel
%defattr(644,root,root,755)
%{_libdir}/libKPim6AkonadiSearchCore.so
%{_libdir}/libKPim6AkonadiSearchDebug.so
%{_libdir}/libKPim6AkonadiSearchPIM.so
%{_libdir}/libKPim6AkonadiSearchXapian.so
%{_includedir}/KPim6/AkonadiSearch
%{_libdir}/cmake/KPim6AkonadiSearch
%changelog
* Wed Apr 30 2025 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/ka6-akonadi-search.git;a=log;h=master

* Thu Apr 17 2025 Witold Filipczyk <witekfl@poczta.onet.pl> 0d6602a
- updated to 25.04.0

* Fri Mar 07 2025 Witold Filipczyk <witekfl@poczta.onet.pl> 557ac2f
- updated to 24.12.3

* Sat Feb 08 2025 Witold Filipczyk <witekfl@poczta.onet.pl> 0ab9c72
- updated to 24.12.2

* Fri Jan 10 2025 Witold Filipczyk <witekfl@poczta.onet.pl> 9e56c9b
- updated to 24.12.1

* Thu Dec 12 2024 Witold Filipczyk <witekfl@poczta.onet.pl> 7ac7d10
- updated to 24.12.0

* Thu Nov 07 2024 Witold Filipczyk <witekfl@poczta.onet.pl> ac57d87
- updated to 24.08.3

* Wed Oct 30 2024 Jakub Bogusz <qboosh@pld-linux.org> 6891301
- added also versioned runtime dependencies; release 3

* Wed Oct 30 2024 Jakub Bogusz <qboosh@pld-linux.org> 77175b4
- updated dependencies

* Wed Oct 30 2024 Jakub Bogusz <qboosh@pld-linux.org> d4b9938
- updated ktextaddons package name

* Wed Oct 30 2024 Jakub Bogusz <qboosh@pld-linux.org> 66aee27
- pl, cleanup

* Wed Oct 30 2024 Jakub Bogusz <qboosh@pld-linux.org> 1387905
- macros for ninja

* Thu Oct 17 2024 Krzysztof Mrozowicz <mrozowik@pld-linux.org> 6f8b041
- relup

* Thu Oct 10 2024 Witold Filipczyk <witekfl@poczta.onet.pl> ab49c73
- updated to 24.08.2

* Thu Sep 12 2024 Witold Filipczyk <witekfl@poczta.onet.pl> f114128
- updated to 24.08.1

* Fri Aug 23 2024 Witold Filipczyk <witekfl@poczta.onet.pl> e8a402a
- updated to 24.08.0

* Fri Jul 05 2024 Witold Filipczyk <witekfl@poczta.onet.pl> 5a40484
- updated to 24.05.2

* Fri Jun 14 2024 Witold Filipczyk <witekfl@poczta.onet.pl> 4ca63bc
- updated to 24.05.1

* Fri May 24 2024 Witold Filipczyk <witekfl@poczta.onet.pl> 97214f9
- updated to 24.05.0

* Sat Apr 13 2024 Witold Filipczyk <witekfl@poczta.onet.pl> 03880a6
- updated to 24.02.2

* Fri Mar 22 2024 Witold Filipczyk <witekfl@poczta.onet.pl> 6677fa6
- updated to 24.02.1

